summaryrefslogtreecommitdiff
path: root/dev-util/cpptest
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/cpptest')
-rw-r--r--dev-util/cpptest/Manifest1
-rw-r--r--dev-util/cpptest/cpptest-2.0.0-r1.ebuild29
-rw-r--r--dev-util/cpptest/metadata.xml14
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-util/cpptest/Manifest b/dev-util/cpptest/Manifest
new file mode 100644
index 000000000000..0294c6290a74
--- /dev/null
+++ b/dev-util/cpptest/Manifest
@@ -0,0 +1 @@
+DIST cpptest-2.0.0.tar.bz2 440323 BLAKE2B 7d703a9a41c6fc355f97d2074b71fc5c700ee2483386984147c399c096eebeec7f2a980f0678e1a4d9979a7795d3f7ff7d70cbf8b483e055a420de985aa40f2e SHA512 41b5f7989198a79dca29f7d579c4d3918e5c3bbc0f91f77317ae074af8daaa8e5ee8add7c29c8e345cb95b08524839cecc7659a8d95ee95712e205b8838c5029
diff --git a/dev-util/cpptest/cpptest-2.0.0-r1.ebuild b/dev-util/cpptest/cpptest-2.0.0-r1.ebuild
new file mode 100644
index 000000000000..2ac45314b772
--- /dev/null
+++ b/dev-util/cpptest/cpptest-2.0.0-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Simple but powerful unit testing framework for C++"
+HOMEPAGE="https://github.com/cpptest/cpptest"
+SRC_URI="https://github.com/cpptest/cpptest/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="1" # for soversion 1.x.x
+KEYWORDS="amd64 ~arm ppc ppc64 x86"
+IUSE="doc"
+
+RDEPEND="!dev-util/cpptest:0"
+BDEPEND="doc? ( app-text/doxygen )"
+
+DOCS=( AUTHORS BUGS NEWS README )
+
+src_configure() {
+ econf \
+ --disable-static \
+ $(use_enable doc)
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}
diff --git a/dev-util/cpptest/metadata.xml b/dev-util/cpptest/metadata.xml
new file mode 100644
index 000000000000..11cc9b5671bf
--- /dev/null
+++ b/dev-util/cpptest/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sping@gentoo.org</email>
+ <name>Sebastian Pipping</name>
+ </maintainer>
+ <longdescription lang="en">
+ CppTest is a portable and powerful, yet simple, unit testing framework for handling
+ automated tests in C++. The focus lies on usability and extendability.
+ Several output formats are supported and new ones are easily added.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>